Get Campaign Runs
curl --request GET \
--url https://api.eesi.ai/v1/campaign/{campaign_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/campaign/{campaign_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/campaign/{campaign_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{}
],
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Get Campaign Runs
Retrieve individual run records for each contact in a campaign
GET
/
v1
/
campaign
/
{campaign_id}
/
runs
Get Campaign Runs
Returns the individual run records for each contact in the campaign. Each record includes the same fields as agent run details, including run status, duration, transcript, and recording URL.
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Path Parameters
Query Parameters
JSON-encoded filter criteria
Field to sort by (e.g., 'duration', 'created_at')
Sort order ('asc' or 'desc')
โI